Subject: Re: gpio-mxc gpio get always returns 0 for outputs for IMX6

From: [email-masked] (Alexander Shiyan)
Date: Fri, 11 Jul 2014 20:16:43 +0400

Fri, 11 Jul 2014 17:02:38 +0100 ?? Russell King - ARM Linux <[email-masked]>:
> On Fri, Jul 11, 2014 at 08:34:19AM -0700, Tim Harvey wrote:
> > I've noticed that for IMX6 the gpio-mxc gpio driver always returns 0
> > for gpio's configured as outputs regardless of if they are outputing
> > high or low.
> 
> There's a different way which this can be solved - set the SION but on
> your GPIOs.  You will then be able to read back the state of the
> output pin.

AFAIK, SION is not affected for pins configured as GPIO.
Please FIX ME if my opinion is wrong.

---